Transfer organization ownership (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
PATCH /admin/organization/transfer-ownership/{orgId}

Makes the member newOwnerEmail the owner of the organization and its contact email, and turns currentOwnerEmail into an admin. Returns 400 when both emails are the same, the current user is not the owner or the new one is not a member, and 404 for an unknown organization or user. Super admin only.

Path parameters

  • orgId string Required
application/json

Body Required

  • currentOwnerEmail string Required

    Email of the current owner

  • newOwnerEmail string Required

    Email of the new owner

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
PATCH /admin/organization/transfer-ownership/{orgId}
curl \
 --request PATCH 'http://api.example.com/admin/organization/transfer-ownership/{orgId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "currentOwnerEmail": "string",
  "newOwnerEmail": "string"
}'
Request examples
{
  "currentOwnerEmail": "string",
  "newOwnerEmail": "string"
}
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}